cmake_minimum_required(VERSION 3.15)

include(FetchContent)

set(WITH_QGLVIEWER true CACHE INTERNAL "")
set(WITH_QT5 true CACHE INTERNAL "")
set(BUILD_EXAMPLES OFF CACHE INTERNAL "")

FetchContent_Declare(
  DGtal
  URL https://github.com/DGtal-team/DGtal/archive/refs/tags/1.2.tar.gz
  URL_HASH MD5=19e443ca4f3927c9b9eff742cdfa138f)

FetchContent_MakeAvailable(DGtal)

target_link_libraries(DGtal PRIVATE libQGLViewer)
